echo off
  echo INSTALL CU thaiword
  if .%1 == .      goto showInfo
  if .%2 == .      goto showInfo
  if .%3 == .      goto showInfo

  if .%1 == .a:    goto pass1_no
  if .%1 == .A:    goto pass1_no
  if .%1 == .b:    goto pass1_no
  if .%1 == .B:    goto pass1_no
  if .%1 == .c:    goto pass1
  if .%1 == .C:    goto pass1
  if .%1 == .d:    goto pass1
  if .%1 == .D:    goto pass1
  echo ERROR - '%1' is not a legal drive
  goto showInfo

:PASS1
  if .%2 == ./co   goto pass2
  if .%2 == ./CO   goto pass2
  if .%2 == ./mo   goto pass2
  if .%2 == ./MO   goto pass2
  echo ERROR - '%2' is not a legal option1
  goto showInfo

:PASS2
  if .%3 == ./fx   goto main
  if .%3 == ./FX   goto main
  if .%3 == ./lq   goto main
  if .%3 == ./LQ   goto main
  if .%3 == ./p5   goto main
  if .%3 == ./P5   goto main
  if .%3 == ./5553 goto main
  if .%3 == ./5553 goto main
  if .%3 == ./oki393 goto main
  if .%3 == ./OKI393 goto main
  if .%3 == ./laser  goto main
  if .%3 == ./LASER  goto main
  echo ERROR - '%3' is not a legal option2

:SHOWINFO
  echo.
  echo   TWINSTAL drive [option1] [option2]
  echo.
  echo   options1:  /co  -IBM PS2 color monitor.
  echo              /mo  -IBM PS2 amber monitor.
  echo.
  echo   options2:  /fx  -EPSON fx series (9 pin) printer.
  echo              /lq  -EPSON lq series (24 pin) printer.
  echo              /p5  -NEC p5,p7 printer.
  echo              /5553     -IBM 5553 printer.
  echo              /oki393   -OKI 393 printer.
  echo              /laser    -LASER printer.(emulate FX)
  echo.
  echo   Example :- install drive C: Color monitor and Epson LQ printer.
  echo   TWINSTAL C: /CO /LQ
  echo.
  goto end

:MAIN
cd\
md %1thaiws
  copy swe.com %1\thaiws
  copy swt.com %1\thaiws
  copy fnt1.nlq %1\thaiws
  copy fnt2.nlq %1\thaiws
  copy fnt3.nlq %1\thaiws
  copy fntS.nlq %1\thaiws
  copy fntA1.nlq %1\thaiws
  copy fnt1.lq %1\thaiws
  copy fnt2.lq %1\thaiws
  copy fntS.lq %1\thaiws
  copy twicode.sma %1\thaiws
  copy twicode.ku %1\thaiws
  copy twicode.oli %1\thaiws
  copy twocode.sma %1\thaiws
  copy twprcode.sma %1\thaiws
  copy twprEMU.ku %1\thaiws
  copy twp5553.cmd %1\thaiws
  copy lqseries.prm %1\thaiws
  copy fxseries.prm %1\thaiws
  copy 5553.prm %1\thaiws
  copy necp5.prm %1\thaiws
  copy laser.prm %1\thaiws

  if .%2 == ./co   goto color
  if .%2 == ./CO   goto color
  if .%2 == ./mo   goto amber
  if .%2 == ./MO   goto amber

:COLOR
  echo    COLOR monitor INSTALL.....
  copy tws.exe %1\thaiws
  copy twsdrv.com %1\thaiws
  copy tnor.com %1\thaiws
  goto printer

:AMBER
  echo    AMBER monitor INSTALL.....
  copy tws.exe %1\thaiws
  copy cu502.com %1\thaiws
  copy en25.com %1\thaiws
  goto printer

:PRINTER
  if .%3 == ./fx   goto fx
  if .%3 == ./FX   goto fx
  if .%3 == ./lq   goto lq
  if .%3 == ./LQ   goto lq
  if .%3 == ./p5   goto p5
  if .%3 == ./P5   goto p5
  if .%3 == ./5553 goto ibm5553
  if .%3 == ./5553 goto ibm5553
  if .%3 == ./oki393 goto oki393
  if .%3 == ./OKI393 goto oki393
  if .%3 == ./laser  goto laser
  if .%3 == ./LASER  goto laser

:FX
  echo    FX,LX series printer INSTALL.....
  copy compose.com %1
  copy twthai.bat %1\thaiws.bat
  copy fxseries.prm %1\thaiws\twinst.prm
  goto end
:LQ
  echo    LQ series printer INSTALL.....
  copy compose.com %1
  copy twthai.bat %1\thaiws.bat
  copy lqseries.prm %1\thaiws\twinst.prm
  goto end
:P5
  echo    NEC p5,p7 printer INSTALL.....
  copy compose.com %1
  copy twthai.bat %1\thaiws.bat
  copy necp5.prm %1\thaiws\twinst.prm
  goto end
:IBM5553
  echo    IBM 5553 printer INSTALL.....
  copy 5553dv.sys %1\
  copy config.ibm %1\config.sys
  copy twthai53.bat %1\thaiws.bat
  copy compose.ibm %1\compose.com
  copy nlq.com %1\thaiws
  copy rama.com %1\thaiws
  copy sida.com %1\thaiws
  copy pica.com %1\thaiws
  copy golf1.com %1\thaiws
  copy golf2.com %1\thaiws
  copy 5553.prm %1\thaiws\twinst.prm
  goto end
:OKI393
  echo    OKI 393 laser printer INSTALL.....
  copy compose.com %1
  copy twthai.bat %1\thaiws.bat
  copy oki393.prm %1\thaiws\twinst.prm
  goto end
:LASER
  echo    laser printer emulate FX INSTALL.....
  copy compose.com %1
  copy twthai.bat %1\thaiws.bat
  copy laser.prm %1\thaiws\twinst.prm
  goto end

:PASS1_NO
  if .%2 == ./co   goto pass2_no
  if .%2 == ./CO   goto pass2_no
  if .%2 == ./mo   goto pass2_no
  if .%2 == ./MO   goto pass2_no
  if .%2 == ./gs   goto pass2_no
  if .%2 == ./GS   goto pass2_no
  echo ERROR - '%2' is not a legal option1
  goto showInfo

:PASS2_NO
  if .%3 == ./fx   goto main_no
  if .%3 == ./FX   goto main_no
  if .%3 == ./lq   goto main_no
  if .%3 == ./LQ   goto main_no
  if .%3 == ./p5   goto main_no
  if .%3 == ./P5   goto main_no
  if .%3 == ./5553 goto main_no
  if .%3 == ./5553 goto main_no
  if .%3 == ./oki393 goto main_no
  if .%3 == ./OKI393 goto main_no
  if .%3 == ./laser  goto main_no
  if .%3 == ./LASER  goto main_no
  echo ERROR - '%3' is not a legal option2

:MAIN_NO

  copy swe.com %1
  copy swt.com %1
  copy fnt1.nlq %1
  copy fnt2.nlq %1
  copy fnt3.nlq %1
  copy fntS.nlq %1
  copy fntA1.nlq %1
  copy fnt1.lq %1
  copy fnt2.lq %1
  copy fntS.lq %1
  copy twicode.sma %1
  copy twicode.ku %1
  copy twicode.oli %1
  copy twocode.sma %1
  copy twprcode.sma %1
  copy twprEMU.ku %1
  copy twp5553.cmd %1
  copy lqseries.prm %1
  copy fxseries.prm %1
  copy 5553.prm %1
  copy necp5.prm %1
  copy laser.prm %1
  copy epsondv.sys %1
  copy config.sys %1

  if .%2 == ./co   goto color_no
  if .%2 == ./CO   goto color_no
  if .%2 == ./mo   goto amber_no
  if .%2 == ./MO   goto amber_no
  if .%2 == ./gs   goto gold_no
  if .%2 == ./GS   goto gold_no

:COLOR_NO
  echo    COLOR monitor INSTALL.....
  copy tws.exe %1
  copy twsdrv.com %1
  copy tnor.com %1
  goto printer_no

:AMBER_NO
  echo    AMBER monitor INSTALL.....
  copy tws.exe %1
  copy cu502.com %1
  copy en25.com %1
  goto printer_no

:PRINTER_NO
  if .%3 == ./fx   goto fx_no
  if .%3 == ./FX   goto fx_no
  if .%3 == ./lq   goto lq_no
  if .%3 == ./LQ   goto lq_no
  if .%3 == ./p5   goto p5_no
  if .%3 == ./P5   goto p5_no
  if .%3 == ./5553 goto ibm5553_no
  if .%3 == ./5553 goto ibm5553_no
  if .%3 == ./oki393 goto oki393_no
  if .%3 == ./OKI393 goto oki393_no
  if .%3 == ./laser  goto laser_no
  if .%3 == ./LASER  goto laser_no

:FX_NO
  echo    FX,LX series printer INSTALL.....
  copy compose.com %1
  copy thaiws.bat %1
  copy fxseries.prm %1twinst.prm
  goto end
:LQ_NO
  echo    LQ series printer INSTALL.....
  copy compose.com %1
  copy thaiws.bat %1
  copy lqseries.prm %1twinst.prm
  goto end
:P5_NO
  echo    NEC p5,p7 printer INSTALL.....
  copy compose.com %1
  copy thaiws.bat %1
  copy necp5.prm %1twinst.prm
  goto end
:IBM5553
  echo    IBM 5553 printer INSTALL.....
  copy 5553dv.sys %1
  copy config.ibm %1config.sys
  copy thaiws53.bat %1thaiws.bat
  copy compose.ibm %1compose.com
  copy nlq.com %1
  copy rama.com %1
  copy sida.com %1
  copy pica.com %1
  copy golf1.com %1
  copy golf2.com %1
  copy 5553.prm %1twinst.prm
  goto end
:OKI393_NO
  echo    OKI 393 laser printer INSTALL.....
  copy compose.com %1
  copy thaiws.bat %1
  copy oki393.prm %1twinst.prm
  goto end
:LASER_NO
  echo    laser printer emulate FX INSTALL.....
  copy compose.com %1
  copy thaiws.bat %1thaiws.bat
  copy laser.prm %1twinst.prm
  goto end

:END
cd ..
